【Swift】XcodeのMinimum DeploymentをiOS13.0に上げたらエラー発生

XcodeのMinimum DeploymentをiOS13.0に上げたらエラーが現れました。

目次

今回現れたエラー

今回現れたエラーは、

‘statusBarFrame’ was deprecated in iOS 13.0: Use the statusBarManager property of the window scene instead.

でした。ワーニングではなくエラーですのでプログラムは走りません。

原因

エラーが出ていたのはステータスバー高さを取得する次のコードでした。

UIApplication.shared.statusBarFrame.size.height

対策

次のコードに置き換えて対策しました。

view.window?.windowScene?.statusBarManager?.statusBarFrame.height ?? 0

無事に対策完了!

よかったらシェアしてね!
  • URLをコピーしました!
  • URLをコピーしました!

コメント

コメントする

CAPTCHA


目次